Bug 54986 - Failed to create Web Service Client
Failed to create Web Service Client
Status: CLOSED FIXED
Product: webservices
Classification: Unclassified
Component: Code
4.x
PC Windows XP
: P1 (vote)
: TBD
Assigned To: Milan Kuchtiak
issues@webservices
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 13:56 UTC by L Martinek
Modified: 2006-03-24 12:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
IDE.log (44.92 KB, text/plain)
2005-02-15 13:57 UTC, L Martinek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description L Martinek 2005-02-15 13:56:57 UTC
[Build 200502142300, JDK 1.5.0_02]

I tried to create Web Service Client of type J2EE
1.4 (JSR-109), but exceptions were thrown and
client was not created.

java.lang.RuntimeException: CommonDDAccess.addBean
unexpected exception:
, package =
org.netbeans.modules.j2ee.dd.impl.web.model_2_4,
beanName = ServiceRef
java.lang.ClassNotFoundException:
org.netbeans.modules.j2ee.dd.api.web.ServiceRef:
org.netbeans.modules.j2ee.dd.api.web.ServiceRef 

My test case:
1. I created Enterprise Application with EJB
Module and Web Application. 
2. I created session bean in EJB Module.
3. I created web service in Web Application, which
call EJB.
4. I created new Web Application and tried to
create Web Service client.
Comment 1 L Martinek 2005-02-15 13:57:28 UTC
Created attachment 20351 [details]
IDE.log
Comment 2 _ pcw 2005-02-15 16:07:26 UTC
This appears to be fallout from migration of ServiceRef from web/ejb
model to common ddbean model.  Exception is on invocation of
addBean("ServiceRef", propName, PropValues, keyProp) and model is
attempting to create bean using the old package location
(org.netbeans.modules.j2ee.dd.api.web.ServiceRef)
Comment 3 Milan Kuchtiak 2005-02-16 13:47:59 UTC
The issue was fixed yesterday :
http://j2ee.netbeans.org/source/browse/j2ee/ddapi/src/org/netbeans/modules/j2ee/dd/impl/common/CommonDDAccess.java.diff?r1=1.3&r2=1.4

(before Beta branch)
Comment 4 L Martinek 2005-02-16 13:59:39 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo